.form-group {
	margin-bottom: size-rel(24px);
}

.form-control {
	font-size: size-rel(14px);
	line-height: size-rel(19px);
	height: size-rel(38px);

	&:disabled {
		background-color: #e0e0e0;
		border-color: #e0e0e0 !important;
	}
}

.form-control-position {
	top: 0;
	bottom: 0;
	height: auto;
	display: flex;
	align-items: center;
	justify-content: center;
}

.form-label {
	display: block;
	font-weight: 400;
	color: $primary;
	min-height: size-rel(14px);
	text-transform: uppercase;
	font-size: size-rel(12px);
	line-height: size-rel(14px);
	margin-bottom: size-rel(5px);

	.bx {
		top: 3px;
		position: relative;
	}

	&.d-flex {

		.bx {
			top: 2px;
		}
	}
}


/*   Checkbox css  */
/*----------------*/
.pretty-checkbox {
	margin: 0;
	padding: 0;
	font-weight: 400;
	font-size: 0;
	line-height: 0;
	position : relative;
	display : inline-block;
	min-height: 20px;

	&__input {
		display : none;
	}

	&__label {
		display: inline-block;
		padding-left: size-rel(28px);
		text-transform : none;
		font-size : size-rel(14px);
		line-height : size-rel(20px);
		margin-bottom : 0;

		&:before {
			content : '';
			height : 20px;
			width : 20px;
			position : absolute;
			top : 0;
			left : 0;
			border-radius : 4px;
		}

		&:after {
			content : ' ';
			height : 20px;
			width : 20px;
			border : 1px solid #DFE3E7;
			position : absolute;
			border-radius : 4px;
			top : 0;
			left : 0;
			-webkit-transition : 100ms ease-in-out;
			transition : 100ms ease-in-out;
		}
	}

	&__title {
		padding: 0;
		display: flex;
		align-items: center;
		text-transform : none;
		font-size : size-rel(12px);
		line-height : size-rel(24px);

		&:before {
			display: none;
		}

		&:after {
			display: none;
		}

		&--right {
			text-align: right;
			padding-left: 0;
			padding-right: 16px;

			&:before {
				left: auto;
				right: 0;
			}

			.pretty-checkbox__text {
				padding-left: 0;
				padding-right: size-rel(8px);
			}
		}
	}

	.pretty-checkbox__icon + .pretty-checkbox__text {
		margin-right: 4px;
	}

	.pretty-checkbox__text + .pretty-checkbox__icon {
		margin-left: 4px;
	}

	&__text {
		display: block;
	}

	&__icon {
		width: 24px;
		height: 24px;
		display: flex;
		align-items: center;
		justify-content: center;
		flex-shrink: 0;
	}

	&__input:checked ~ .pretty-checkbox__label:after {
		border-top-style : none;
		border-right-style : none;
		/* IE9 */
		transform : rotate(-45deg);
		height : 0.4rem;
		width : 0.8rem;
		border-color : $white;
		border-radius : 0;
		border-width : 2px;
		top : 6px;
		left : 4px;
	}

	&__input:checked ~ .pretty-checkbox__label:before {
		background-color : $blue;
		border : 1px solid $blue;
	}

	&__input:disabled ~ .pretty-checkbox__label::before {
		background-color : #F2F4F4 !important;
		border-color : #DFE3E7 !important;
		box-shadow : none !important;
	}

	&__input:disabled ~ .pretty-checkbox__label::after {
		border-color : #B3C0CE !important;
	}

	&__input:checked ~ .pretty-checkbox__title {

		.pretty-checkbox__icon {

			&:before {
				content: "\ee0a";
			}
		}
	}

	&--button {

		.pretty-checkbox__label {
			padding: 0;
			width: 24px;
			height: 24px;

			&:before {
				top: 2px;
				left: 2px;
			}

			&:after {
				top: 2px;
				left: 2px;
			}
		}

		input:checked ~ .pretty-checkbox__label:after {
			top : 8px;
			left : 6px;
		}
	}
}

/*  Radio Buttons css  */
/*-----------------*/
.pretty-radio  {
	margin: 0;
	padding: 0;
	font-weight: 400;
	font-size: 0;
	line-height: 0;
	text-transform: inherit;
	position: relative;

	&__input {
		width: 1px;
		height: 1px;
		opacity: 0;
		visibility: hidden;
		overflow: hidden;
		position: absolute;
	}

	&__label {
		display: inline-block;
		font-size: size-rel(12px);
		line-height: size-rel(16px);
		padding: size-rel(4px) 0 size-rel(4px) size-rel(28px);

		&:before {
			top: size-rel(2px);
			left: size-rel(2px);
			content: '';
			border: 1px solid #b3c0ce;
			border-radius: 50%;
			width: 20px;
			height: 20px;
			position: absolute;
		}

		&:after {
			top: size-rel(7px);
			font-size: 0;
			line-height: 0;
			position: absolute;
			display: inline-flex;
			content: '';
			height: size-rel(10px);
			width: size-rel(10px);
			background-color: $blue;
			border-radius: 50%;
			left: size-rel(7px);
			opacity: 0;
			transform: scale(3.6);
		}

		&.font-size-small {
			line-height: size-rel(16px) !important;
		}
	}

	&__box {
		display: block;
		border-radius: 4px;
		padding: size-rel(6px) size-rel(12px);
		border: 1px solid #C7CFD6;
	}

	&__input:checked ~ .pretty-radio__label::after {
		opacity : 1;
		-webkit-transform : scale(1);
		-ms-transform : scale(1);
		transform : scale(1);
		-webkit-transition : all 0.3s cubic-bezier(0.35, 0.9, 0.4, 0.9);
		transition : all 0.3s cubic-bezier(0.35, 0.9, 0.4, 0.9);

	}

	&__input:checked ~ .pretty-radio__label::before {
		border-color: $blue;
	}

	&__input:disabled ~ .pretty-radio__label::before {
		background-color : #F2F4F4 !important;
		box-shadow : none !important;
	}

	&--button {

		.pretty-radio__label {
			padding: 0;
			width: 24px;
			height: 24px;
		}

		.pretty-radio__input:checked ~ .pretty-checkbox__label:after {
			top : 8px;
			left : 6px;
		}
	}

	&--invert {

		.pretty-radio__label {
			padding: size-rel(4px) size-rel(28px) size-rel(4px) 0;

			&:before {
				left: auto;
				right: size-rel(2px);
			}

			&:after {
				left: auto;
				right: size-rel(7px);
			}
		}
	}

}
